Ti.include(Ti.Filesystem.resourcesDirectory+'/includes/config.js');
Ti.include(Ti.Filesystem.resourcesDirectory+'/includes/functions.js');
Ti.include(Ti.Filesystem.resourcesDirectory+'/includes/encoder.js');

if (isTablet){
    Ti.include(Ti.Filesystem.resourcesDirectory+'/wins/tablet/search.js');
    Ti.include(Ti.Filesystem.resourcesDirectory+'/wins/tablet/list.js');
    Ti.include(Ti.Filesystem.resourcesDirectory+'/wins/tablet/detail.js');
}else{
    Ti.include(Ti.Filesystem.resourcesDirectory+'/wins/search.js');
    Ti.include(Ti.Filesystem.resourcesDirectory+'/wins/list.js');
    Ti.include(Ti.Filesystem.resourcesDirectory+'/wins/detail.js');
}

var GA = require('analytics.google');
var tracker = GA.getTracker(config.GoogleAnalyticsAccountID);

var MapModule = require('ti.map');

// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#F1F1F1');

//Variables de última búsqueda:
/*
Ti.App.Properties.getString('category');
Ti.App.Properties.getString('country');
Ti.App.Properties.getString('region');
Ti.App.Properties.getString('zone');
Ti.App.Properties.getString('radio');
Ti.App.Properties.getString('text');
*/

var winMain = Titanium.UI.createWindow({  
    title:'List',
    backgroundColor:'#fff',
    navBarHidden:true,
    orientationModes: orientation
});

var logoMain = Ti.UI.createImageView({
    image: Titanium.Filesystem.getFile(Ti.Filesystem.resourcesDirectory,'images/logo.png'),
    width: oswidth*0.7
});
winMain.add(logoMain);

var loading_list=functions.loading('small',L('loading_gps'));
winMain.add(loading_list);
loading_list.right=null;
loading_list.bottom=osheight*0.1;
loading_list.show();
    
winMain.open({animated:false});
winMain.addEventListener('focus',function(){
    /*
    var activity = Ti.Android.currentActivity;
    var intentData = activity.getIntent().getData();
    alert(intentData);
    return;
    //getPost(intentData ? queryString(intentData, 'postID') : null);
    */

    //GPS sin caché en Android (aunque no lo filtro para asegurarme)
    var locationCallback = function(e) {
        if (Ti.Geolocation.locationServicesEnabled) {
            Titanium.Geolocation.purpose = 'GPS';
            Titanium.Geolocation.getCurrentPosition(function(e) {
                if (e.error){
                    //Abrimos pantalla de búsqueda
                    winSearch.open({animated:false});
                }else{
                    session.longitud = e.coords.longitude;
                    session.latitud = e.coords.latitude;
                    setTimeout(function(){
                        winList.open({animated:false});
                    },500);
                }
            });
        }else{
            //Abrimos pantalla de búsqueda
            winSearch.open({animated:false});
        }
        Ti.Geolocation.removeEventListener('location', locationCallback);
    };
    
    //Tomamos GPS en intervalos de 5 minutos
    locationCallback();
    //Titanium.Geolocation.addEventListener('location',locationCallback);
});
