functions={
	
	loading: function(type,message){
		var activityIndicator = Ti.UI.createActivityIndicator({
		  color: config.style.titulo,
		  font: {fontFamily:'Trebuchet MS', fontSize:'18dp', fontWeight:'bold'},
		  style:Ti.UI.ActivityIndicatorStyle.PLAIN,
		  height:Ti.UI.SIZE,
		  width:Ti.UI.SIZE,
		  right: functions.getHeightHeader()+unamijilla
		});
		if (functions.isset(type) && type=='big') activityIndicator.style=Ti.UI.ActivityIndicatorStyle.BIG;
		
		if (functions.isset(message)) activityIndicator.message='   '+message;
		return activityIndicator;
	},
	
	getElementByWaId : function(win, waId){
        for(var iw = 0; iw<win.children.length;iw++){
            if(win.children[iw].waId != undefined && win.children[iw].waId != null && win.children[iw].waId == waId){
                return win.children[iw];
                break;
            }
        }
    },
	
	alertaR: function(msj){
		setTimeout(function(){
			alert(msj);
			Ti.API.info('CX:: '+msj);
		},2000);
	},
	
	uc_first: function(string){
    	return string.charAt(0).toUpperCase() + string.slice(1);
	},

	isset: function(variable){
		if (variable=='' || variable==vacio || variable==undefined || variable==null) return false;
		if (variable.length==0) return false;
		if(typeof variable.text != 'undefined'){
            variable = variable.text;
            if (variable=='' || variable==vacio || variable==undefined || variable==null) return false;
            if (variable.length==0) return false;
        }
		return true;
	},
	
	getHeightHeader: function(){
		var height=(osheight*0.1).toFixed(0);
		if (height>100) return 100;
		return height;
	},
	
	/* CATCH PHONE CALL */
	
	getHeader : function(win, titulo){
		if (!functions.isset(titulo)) titulo='ClasificadoX';
		
		// CABECERA
		var viewHeader = Titanium.UI.createView({
		   borderWidth: 0,
		   backgroundColor:config.style.color2,
		   top: 0,
		   height: functions.getHeightHeader(),
		});
		
		var logoHome = Ti.UI.createImageView({
			image: Titanium.Filesystem.getFile(Ti.Filesystem.resourcesDirectory,'images/logo.png'),
			height: viewHeader.height*0.8,
			left:unpelin,
		});
		viewHeader.add(logoHome);
		
		// TITULO DE LA PÁGINA
		var lblTitulo = Ti.UI.createLabel({
			color: config.style.blanco,
			font: { fontSize:'16dp',fontFamily:'Trebuchet MS'},
			html: functions.uc_first(titulo),
			width: oswidth*0.6,
			height: viewHeader.height*0.9,
			textAlign: 'center',
			waId: 'lblTitulo'
		});
		viewHeader.add(lblTitulo);
		
		if (titulo.length>15) lblTitulo.font={ fontSize:'14dp',fontFamily:'Trebuchet MS'};
		if (isTablet) lblTitulo.font={ fontSize:'22dp',fontFamily:'Trebuchet MS'};
		
		var btnBuscar = Titanium.UI.createImageView({
			image: Titanium.Filesystem.getFile(Ti.Filesystem.resourcesDirectory,'images/buscar.png'),
			height: viewHeader.height*0.8,
			right:unpelin,
		});
		btnBuscar.addEventListener('click', function(e){
		    win.close();
		    winSearch.open({animated:false});
			e.source.opacity=0.5;
			setTimeout(function(){
			    e.source.opacity=1;
			},200);
		});
		viewHeader.add(btnBuscar);
		
		return viewHeader;
	},
	
	makeDial: function(number,id,md5id){
        if(functions.isset(number)){
    		if (!isNaN(number)){
	            var call= 'tel:+' + number ;
	            Ti.Platform.openURL(call);
	            tracker.trackEvent({
					category: id,
					action: "Llamada",
					label: number,
					value: 1
				});
				var url=host+"ad/catch-phone-call.php";
				var xhr = Ti.Network.createHTTPClient({
                    onload: function() {
                        try{
                            //Llamada cacheada
                        }catch(e){
                            
                        }
                    },
                    onerror: function(e){
                        //Nothing to do
                    },
                    timeout:60000
                });
				xhr.open("POST",url, true);
                xhr.send({id:md5id});
	        }
        }
    },
    
    shareAd: function(id,title,text,url,image){
    	var activity = Ti.Android.currentActivity;
		var intent = Ti.Android.createIntent({
            action: Ti.Android.ACTION_SEND,
            type: 'text/plain'
        });
		intent.putExtra(Ti.Android.EXTRA_TEXT,title+': '+url);
		intent.putExtra(Ti.Android.EXTRA_TITLE,title+': '+url);
		intent.putExtra(Ti.Android.EXTRA_SUBJECT, title+': '+url);
		activity.startActivity(Ti.Android.createIntentChooser(intent,'Share'));
    },
    
    parseTitle: function(category, country, region, zone, count){
        var res='';
        if (functions.isset(category)){
            res=L('ads_in')+' » '+category;
            if (functions.isset(country)) res+=' » '+country;
            if (functions.isset(region)) res+=' » '+region;
            if (functions.isset(zone)) res+=' » '+zone;
        }else{
            if (functions.isset(country)){
                res+=L('ads_in')+' '+country;
                if (functions.isset(region)) res+=' » '+region;
                if (functions.isset(zone)) res+=' » '+zone;
            }else{
                if (functions.isset(region)) res+=L('ads_in')+' '+region;
                if (functions.isset(zone)) res+=' » '+zone;
            }
        }
        if (functions.isset(region) && region=='Las Palmas' && functions.isset(zone) && zone=='Agaete') return '';
        return res;
    },
    
    findZoomRegion: function(points) {
        var nbPtToShow = points.length-1;
        var tmpDeltatLat = 0, tmpDeltatLong = 0, maxDeltatLat = 0, maxDeltatLong = 0, centerLat = 0, centerLong = 0;
 
        for(var i = 0; i <= Math.floor(points.length / 2); i++) {
            for(var j = nbPtToShow; j >= Math.floor(points.length / 2); j--) {
                if(j != i) {
                    tmpDeltatLat = Math.abs(Math.abs(points[i].latitude) - Math.abs(points[j].latitude));
                    if(tmpDeltatLat > maxDeltatLat) {
                        maxDeltatLat = tmpDeltatLat;
                        centerLat = Math.min(points[i].latitude, points[j].latitude) + maxDeltatLat / 2;
                    }
                    tmpDeltatLong = Math.abs(Math.abs(points[i].longitude) - Math.abs(points[j].longitude));
                    if(tmpDeltatLong > maxDeltatLong) {
                        maxDeltatLong = tmpDeltatLong;
                        centerLong = Math.min(points[i].longitude, points[j].longitude) + maxDeltatLong / 2;
                    }
                }
            }
        }
        var region = {
            latitude : parseFloat(centerLat),
            longitude : parseFloat(centerLong),
            latitudeDelta : parseFloat(maxDeltatLat)+0.5,
            longitudeDelta : parseFloat(maxDeltatLong)+0.5
        };
        return region;
    },
    
    createImageGallery: function(win,images){
        if (images.length==0) return;
        var col = 3; // number of columns for image gallery
     
        var tbl = Ti.UI.createTableView({separatorColor : 'transparent'});
     
        var data = [];
        var arrImg= []; 
        var views=[];
     
        for(var i = 0 ;i<images.length;i+=col){
            var row = Ti.UI.createTableViewRow({selectedBackgroundColor : 'transparent'});
     
            var z = i + col;
            if(z > images.length){z = images.length;}
     
            var diff = 7;
            for(var j=i;j<z;j++)
            {
                var img = Ti.UI.createImageView({
                    id : j,
                    image : images[j].small,
                    width : oswidth*0.27,
                    height : (oswidth*0.27)/1.5,
                    top : unpelin,
                    left : diff,
                    borderColor : config.style.color2,
                    borderRadius : 5,
                    bottom : unpelin,
                    borderWidth : 2,
                    big: images[j].big
                });
                if (isTablet){
                    img.width=img.width*0.5;
                    img.height=img.height*0.5;
                }
                img.addEventListener('click',function(e){
                    scrollableGalleryView.currentPage=e.source.id;
                    scrollableGalleryView.show();
                    tracker.trackScreen("Galería");
                });
                
                var view = Ti.UI.createImageView({
                    backgroundColor : '#000',
                    image : images[j].big,
                });
                views.push(view);
                
                arrImg.push({
                    path: images[j].big,
                    thumbPath: images[j].small,
                    caption: images[j].caption
                });
     
                row.add(img);
                diff= diff + img.width + 5;
            }
            data.push(row);
     
        }
        tbl.setData(data);
        
        var scrollableGalleryView = Ti.UI.createScrollableView({
            top : 0,
            views : views,
            showPagingControl : true,
            maxZoomScale : 2.0,
            currentPage: 1,
            visible: false
        });
        win.add(scrollableGalleryView);
        scrollableGalleryView.addEventListener('click',function(){
            scrollableGalleryView.hide();
        });
        
        win.addEventListener('androidback',function(){
            if (scrollableGalleryView.visible==true) scrollableGalleryView.hide();
            else win.close();
        });
        
        return tbl;
    }
};