var winList = Titanium.UI.createWindow({  
    title:'List',
    backgroundColor:'#fff',
    navBarHidden:true,
    orientationModes: orientation
});

/*
 * Falta:
 * - catch URL scheme
 * - alertas
 * - array images
 * - formulario contactar
 */

winList.params={
	text: Ti.App.Properties.getString('text'),
	category: Ti.App.Properties.getString('category'),
	country: Ti.App.Properties.getString('country'),
	region: Ti.App.Properties.getString('region'),
	zone: Ti.App.Properties.getString('zone'),
	radio: Ti.App.Properties.getString('radio'),
	search: false,
	page: 1
};

winList.addEventListener('open',function(){
    tracker.trackScreen("Listado");
    
	var loading_list=functions.loading('big');
	winList.add(loading_list);
	loading_list.right=null;
	loading_list.show();
	
	var header=functions.getHeader(winList);
	winList.add(header);
	
	var loading_header=functions.loading();
	header.add(loading_header);
	loading_header.show();
	
	//Getting ads
	if (winList.params.search==true){
		var data={
				text: functions.isset(winList.params.text)?winList.params.text:'',
				categories_id: functions.isset(winList.params.category)?winList.params.category:'',
				countries_id: functions.isset(winList.params.country)?winList.params.country:'',
				regions_id: functions.isset(winList.params.region)?winList.params.region:'',
				zones_id: functions.isset(winList.params.zone)?winList.params.zone:'',
				radio: functions.isset(winList.params.radio)?winList.params.radio:'20',
				page: functions.isset(winList.params.page)?winList.params.page:'1'
			};
		tracker.trackEvent({
            category: "Buscar",
            action: "Buscar",
            label: "Formulario",
            value: 1
        });
	}else{
		var data={
					radio: functions.isset(winList.params.radio)?winList.params.radio:'20',
					page: functions.isset(winList.params.page)?winList.params.page:'1',
					lat: functions.isset(session.latitud)?session.latitud:'',
					lon: functions.isset(session.longitud)?session.longitud:''
				};
		tracker.trackEvent({
            category: "Buscar",
            action: "Buscar",
            label: "Geolocalización",
            value: 1
        });
	}
	
	var url=host+"api/ad/search.php";
	var xhr = Ti.Network.createHTTPClient({
	    onload: function() {
	    	try{
				json = JSON.parse(this.responseText);
				Ti.API.info(this.responseText);
			}catch(e){
				loading_header.hide();
			    loading_list.hide();
			    var lblNohay = Ti.UI.createLabel({
					color: config.style.color6,
					font: { fontSize:'22dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
					text: L('no_hay'),
					textAlign: 'center'
				});
				winList.add(lblNohay);
			}
			
			var total_ads=0;
            if (functions.isset(json.ads)) total_ads=json.ads.length;
			var total_premium=0;
            if (functions.isset(json.premium_ads)) total_premium=json.premium_ads.length;
			if (total_ads<=0 && total_premium<=0){
				loading_header.hide();
			    loading_list.hide();
			    var lblNohay = Ti.UI.createLabel({
					color: config.style.color6,
					font: { fontSize:'22dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
					text: L('no_hay'),
					textAlign: 'center'
				});
				winList.add(lblNohay);
			}else{
				var lblTitulo=functions.getElementByWaId(header,'lblTitulo');
				lblTitulo.html=json.title;
				var title=functions.parseTitle(json.category,json.country,json.region,json.zone,total_ads);
				if (functions.isset(title)){
				    lblTitulo.html=title;
				    lblTitulo.font={ fontSize:'12dp',fontFamily:'Trebuchet MS'};
				}
				if (functions.isset(total_ads)) lblTitulo.html+='<br />'+total_ads+' '+L('ads_found');
				
				var swin = Titanium.UI.createScrollView({
					backgroundColor: '#E6E6E6',
					width:oswidth,
					layout: 'vertical',
					top: functions.getHeightHeader(),
					bottom: functions.getHeightHeader()*0.8,
				});
                
                //Map
                var annotations=[];
			    var code = MapModule.isGooglePlayServicesAvailable();
			    var points=[];
			    var mlat=0;
			    var mlon=0;
			    if (total_premium>0){
			        for (a = 0; a < total_premium; a++) {
                        swin.add(adView(json.premium_ads[a],true));
                        
                        var viewSep = Titanium.UI.createView({
                            height : unpelin*0.2,
                            backgroundColor: config.style.color2,
                            width:swin.width,
                        });
                        swin.add(viewSep);
                        
                        mlat+=parseFloat(json.premium_ads[a].lat);
                        mlon+=parseFloat(json.premium_ads[a].lon);
                        annotations.push(MapModule.createAnnotation({latitude: json.premium_ads[a].lat, pincolor: MapModule.ANNOTATION_BLUE, longitude: json.premium_ads[a].lon, title: json.premium_ads[a].title, draggable: false, ad: json.premium_ads[a]}));
                    }
			    }
			    if (total_ads>0){
    				for (a = 0; a < total_ads; a++) {
    					swin.add(adView(json.ads[a],false));
    					
    					var viewSep = Titanium.UI.createView({
    						height : unpelin*0.2,
    						backgroundColor: config.style.color2,
    						width:swin.width,
    					});
    					swin.add(viewSep);
    					
    					points.push({latitude:json.ads[a].lat,longitude:json.ads[a].lon});
    					mlat+=parseFloat(json.ads[a].lat);
    					mlon+=parseFloat(json.ads[a].lon);
    					annotations.push(MapModule.createAnnotation({latitude: json.ads[a].lat, pincolor: MapModule.ANNOTATION_BLUE, longitude: json.ads[a].lon, title: json.ads[a].title, draggable: false, ad: json.ads[a]}));
    			    }
    			}
    			
    			if (parseInt(total_ads)==50){
    			    var viewMore = Titanium.UI.createView({
                        backgroundColor: '#E6E6E6',
                        width: oswidth,
                        height: (osheight*0.1).toFixed(0),
                    });
                    viewMore.addEventListener('click',function(e){
                        e.source.backgroundColor=config.style.titulo;
                        setTimeout(function(){
                            e.source.backgroundColor='#E6E6E6';
                            swin.scrollTo(0,0);
                        },200);
                        winList.params.page++;
                        winList.fireEvent('open');
                        tracker.trackEvent({
                            category: "Usuarios que pasan página",
                            action: "Buscar más",
                            label: winList.params.page++,
                            value: 1
                        });
                    });
                    swin.add(viewMore);
                    
                    var lblMore = Ti.UI.createLabel({
                        color: config.style.titulo,
                        font: { fontSize:'14dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
                        text: L('more_ads'),
                        textAlign: 'center',
                        touchEnabled: false,
                    });
                    viewMore.add(lblMore);
    			}
    			
    			if (code == MapModule.SUCCESS) {
                    var map = MapModule.createView({
                        userLocation: true,
                        mapType: MapModule.NORMAL_TYPE,
                        animate: true,
                        annotations: annotations,
                        region: functions.findZoomRegion(points),
                    });
                    map.addEventListener('click',function(e){
                            // get event properties
                            var annotation = e.source; //get the Myid from annotation
                            var clicksource = e.clicksource;
                     
                            if (clicksource=='title'){   //title event
                                e.annotation.backgroundColor=config.style.titulo;
                                setTimeout(function(){
                                    e.annotation.backgroundColor='transparent';
                                },200);
                                winDetail.ad=e.annotation.ad;
                                winDetail.open({animated:false});     
                            }           
                    });
                    
                    var swinMap = Titanium.UI.createScrollView({
                        backgroundColor: '#E6E6E6',
                        width:oswidth,
                        layout: 'vertical',
                        top: functions.getHeightHeader(),
                        bottom: functions.getHeightHeader()*0.8,
                        visible: false
                    });
                    winList.add(swinMap);
                    swinMap.add(map);
                }
    			
			    var viewFooter = Ti.UI.createView({
                    height: functions.getHeightHeader()*0.8,
                    bottom: 0,
                    backgroundColor: config.style.titulo,
                });
                winList.add(viewFooter);
                
                var btnList = Titanium.UI.createButton({
                    color: config.style.titulo,
                    backgroundColor: '#FFFFFF',
                    backgroundImage: 'none',
                    borderRadius:0,
                    width: oswidth*0.45,
                    height: viewFooter.height*0.8,
                    title: L('list'),
                    textAlign:'center',
                    left: viewFooter.height*0.2,
                    borderRadius:5,
                    opacity: 0.7
                });
                viewFooter.add(btnList);
                btnList.addEventListener('click',function(){
                    if (swinMap){
                        swinMap.hide();
                        swin.show();
                        btnList.opacity=0.7;
                        btnMap.opacity=1;
                    }
                });
                
                var btnMap = Titanium.UI.createButton({
                    color: config.style.titulo,
                    backgroundColor: '#FFFFFF',
                    backgroundImage: 'none',
                    borderRadius:0,
                    width: oswidth*0.45,
                    height: viewFooter.height*0.8,
                    title: L('map'),
                    textAlign:'center',
                    right: viewFooter.height*0.2,
                    borderRadius:5,
                });
                viewFooter.add(btnMap);
                btnMap.addEventListener('click',function(){
                    if (swinMap){
                        swinMap.show();
                        swin.hide();
                        btnList.opacity=1;
                        btnMap.opacity=0.7;
                    }else{
                        alert('no_map');
                    }
                });
                
                winList.add(swin);
                loading_header.hide();
                loading_list.hide();
			}
	    },
	    onerror: function(e) {
			Ti.API.debug("STATUS: " + this.status);
			Ti.API.debug("TEXT:   " + this.responseText);
			Ti.API.debug("ERROR:  " + e.error);
			loading_header.hide();
		    loading_list.hide();
		    var lblNohay = Ti.UI.createLabel({
				color: config.style.color6,
				font: { fontSize:'22dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
				text: L('no_inet_retrying'),
				textAlign: 'center',
				top: osheight*0.2
			});
			winList.add(lblNohay);
			setTimeout(function(){
                winList.fireEvent('open');			    
			},5000);
	    },
	    timeout:60000
	});
	try{
	   xhr.open("POST",url, true);
	   xhr.send(data);
	}catch(e){
	    loading_header.hide();
        loading_list.hide();
        var lblNohay = Ti.UI.createLabel({
            color: config.style.color6,
            font: { fontSize:'22dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
            text: L('no_inet_retrying'),
            textAlign: 'center',
            top: osheight*0.2
        });
        winList.add(lblNohay);
        setTimeout(function(){
            winList.fireEvent('open');             
        },5000);
	}
	
});

function adView(ad,premium){
    //Botones de Limpiar Filtros y Aplicar
    var view = Titanium.UI.createView({
        backgroundColor: (functions.isset(premium) && premium==true?config.style.premium:'#E6E6E6'),
        width: oswidth,
        height: (osheight*0.18).toFixed(0),
        source: 'view',
        ad: ad
    });
    view.addEventListener('click',function(e){
        e.source.opacity=0.5;
        setTimeout(function(){
            e.source.opacity=1;
        },200);
        winDetail.ad=e.source.ad;
        winDetail.ad.premium=premium;
        winDetail.open({animated:false});
    });
    
    var image = Ti.UI.createImageView({
        defaultImage: default_img,
        image: ad.medium_img_url,
        height: (view.height*0.7).toFixed(0),
        width: ((view.height*0.7).toFixed(0)*1.5).toFixed(0),
        left: unpelin,
        touchEnabled: false,
        borderRadius:5,
    });
    view.add(image);
    
    var lblTitle = Ti.UI.createLabel({
        color: config.style.titulo,
        font: { fontSize:'14dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
        text: ad.title,
        left: image.width*1.2,
        touchEnabled: false,
        top: view.height*0.1,
        right: unpelin*0.5
    });
    view.add(lblTitle);
    
    var lblCat = Ti.UI.createLabel({
        color: config.style.color2,
        font: { fontSize:'10dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
        text: ad.category,
        left: image.width*1.2,
        touchEnabled: false,
        bottom: view.height*0.1
    });
    view.add(lblCat);
    
    if (functions.isset(ad.region)) lblCat.text+=' » '+ad.region;
    if (functions.isset(ad.zone)) lblCat.text+=' » '+ad.zone;
    
    lblCat.text=Encoder.htmlDecode(lblCat.text);
    
    return view;
}
