var winDetail = Titanium.UI.createWindow({  
    title:'Detail',
    backgroundColor:'#fff',
    navBarHidden:true,
    orientationModes: orientation
});

winDetail.addEventListener('open',function(){
    tracker.trackScreen("Ficha");
    
	var header=functions.getHeader(winList,winDetail.ad.title);
	winDetail.add(header);
	
	var swin = Titanium.UI.createScrollView({
        backgroundColor: '#E6E6E6',
        width:oswidth,
        layout: 'vertical',
        top: functions.getHeightHeader(),
        bottom: functions.getHeightHeader(),
    });
    winDetail.add(swin);
    
    if (winDetail.ad.premium==true){
        winDetail.backgroundColor=config.style.premium;
        swin.backgroundColor=config.style.premium;
    }
    
    var lblCat = Ti.UI.createLabel({
        color: config.style.color2,
        font: { fontSize:'12dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
        text: winDetail.ad.category,
        width: oswidth*0.9,
        top: unpelin
    });
    swin.add(lblCat);
    
    if (functions.isset(winDetail.ad.region)) lblCat.text+=' » '+winDetail.ad.region;
    if (functions.isset(winDetail.ad.zone)) lblCat.text+=' » '+winDetail.ad.zone;
    
    lblCat.text=Encoder.htmlDecode(lblCat.text);
    
    var lblTitulo = Ti.UI.createLabel({
        top: unpelin,
        color: config.style.titulo,
        font: { fontSize:'20dp',fontFamily:'Trebuchet MS'},
        text: functions.uc_first(winDetail.ad.title),
        width: oswidth*0.9,
        textAlign: 'center',
    });
    swin.add(lblTitulo);
    
    if (functions.isset(winDetail.ad.price)){
        var btnPrice = Titanium.UI.createButton({
            backgroundColor: config.style.titulo,
            color: '#FFFFFF',
            backgroundImage: 'none',
            borderRadius:0,
            width: oswidth*0.6,
            height: functions.getHeightHeader()*0.8,
            title: winDetail.ad.price+' '+winDetail.ad.currency,
            textAlign:'center',
            borderRadius:5,
            top: unamijilla,
            font: { fontSize:'28dp',fontFamily:'Trebuchet MS'},
        });
        swin.add(btnPrice);
    }
    
    var swinImgDesc = Titanium.UI.createView({
        backgroundColor: 'transparent',
        width:oswidth,
        top: unpelin,
        height: Ti.UI.SIZE
    });
    swin.add(swinImgDesc);
    
    var lblDesc = Ti.UI.createLabel({
        top: 0,
        color: config.style.color2,
        font: { fontSize:'14dp',fontFamily:'Trebuchet MS'},
        text: Encoder.quitarHTML(functions.uc_first(winDetail.ad.text)),
        width: oswidth*0.3,
        left: unamijilla,
        height: Ti.UI.SIZE
    });
    swinImgDesc.add(lblDesc);
    
    if (functions.isset(winDetail.ad.twitter) || functions.isset(winDetail.ad.facebook)){
        var viewRRSS = Ti.UI.createScrollView({
            height: Ti.UI.SIZE,
            top: unamijilla,
            width: oswidth*0.9,
            textAlign: 'center',
            layout: 'horizontal'
        });
        swin.add(viewRRSS);
        
        if (functions.isset(winDetail.ad.twitter)){
             var imageTW = Ti.UI.createImageView({
                image: Titanium.Filesystem.getFile(Ti.Filesystem.resourcesDirectory,'images/twitter.png'),
                height: (viewRRSS.width*0.05).toFixed(0),
                width: (viewRRSS.width*0.05).toFixed(0),
            });
            imageTW.addEventListener('click',function(){
               Ti.Platform.openURL('http://twitter.com/'+winDetail.ad.twitter); 
            });
            viewRRSS.add(imageTW);
        }
        
        if (functions.isset(winDetail.ad.facebook)){
             var imageFB = Ti.UI.createImageView({
                image: Titanium.Filesystem.getFile(Ti.Filesystem.resourcesDirectory,'images/facebook.png'),
                height: (viewRRSS.width*0.05).toFixed(0),
                width: (viewRRSS.width*0.05).toFixed(0),
                left: unamijilla,
            });
            imageFB.addEventListener('click',function(){
               Ti.Platform.openURL('http://facebook.com/'+winDetail.ad.facebook); 
            });
            viewRRSS.add(imageFB);
        }
    }
    
    var viewImages = Ti.UI.createView({
        height: Ti.UI.SIZE,
        top: 0,
        width: oswidth*0.5,
        right: unamijilla,
    });
    
    swinImgDesc.add(viewImages);
    
    var loading_images=functions.loading('big');
    loading_images.right=null;
    viewImages.add(loading_images);
    loading_images.show();
    
    //For Images
    var url=host+"api/ad/view.php";
    var xhr = Ti.Network.createHTTPClient({
        onload: function() {
            try{
                json = JSON.parse(this.responseText);
                
                var total_images=json.images.length;
                var arrImages=[];
                if (total_images>0){
                    for(i=0;i<total_images;i++){
                        arrImages.push({
                                        small: json.images[i].medium,
                                        big: json.images[i].original,
                                        caption: winDetail.ad.title
                                        });
                    }
                    viewImages.add(functions.createImageGallery(winDetail,arrImages));
                }
                loading_images.hide();
            }catch(e){
                
            }
        },
        onerror: function(e) {
            Ti.API.debug("STATUS: " + this.status);
            Ti.API.debug("TEXT:   " + this.responseText);
            Ti.API.debug("ERROR:  " + e.error);
        },
        timeout:30000
    });
    
    try{
       xhr.open("POST",url, true);
       xhr.send({id: winDetail.ad.md5_id});
    }catch(e){
        //Nothing to do
    }
    
    //Precio
    
    var code = MapModule.isGooglePlayServicesAvailable();
    if (code == MapModule.SUCCESS) {
        var map = MapModule.createView({
            userLocation: true,
            mapType: MapModule.NORMAL_TYPE,
            animate: true,
            annotations: [MapModule.createAnnotation({latitude: winDetail.ad.lat, pincolor: MapModule.ANNOTATION_BLUE, longitude: winDetail.ad.lon, title: winDetail.ad.title, draggable: false})],
            region: {latitude : winDetail.ad.lat, longitude : winDetail.ad.lon, latitudeDelta : 0.02, longitudeDelta : 0.02 },
            height: osheight*0.4,
            lat: winDetail.ad.lat,
            lon: winDetail.ad.lon,
            top: unamijilla,
            width: oswidth*0.9
        });
        map.addEventListener('click',function(e){
            Ti.Platform.openURL('https://maps.google.com/maps?saddr='+e.source.lat+','+e.source.lon+'&daddr='+e.source.lat+','+e.source.lon+'&hl=es&ie=UTF8&sll='+e.source.lat+','+e.source.lon+'&sspn=0.02231,0.055747&mra=ls&t=m&z=14');
        });
        
        swin.add(map);
    }
    
    var viewFooter = Ti.UI.createView({
        height: functions.getHeightHeader()*0.8,
        bottom: 0,
        backgroundColor: config.style.titulo,
    });
    winDetail.add(viewFooter);
    
    var btnDial = Titanium.UI.createButton({
        color: config.style.titulo,
        backgroundColor: '#FFFFFF',
        backgroundImage: 'none',
        borderRadius:0,
        width: oswidth*0.3,
        height: viewFooter.height*0.8,
        right: viewFooter.height*0.1,
        title: L('dial'),
        textAlign:'center',
        borderRadius:5,
        value: winDetail.ad.phone1,
        id: winDetail.ad.id,
        md5id: winDetail.ad.md5_id
    });
    viewFooter.add(btnDial);
    btnDial.addEventListener('click',function(e){
        functions.makeDial(e.source.value,e.source.id,e.source.md5id);
    });
    
    var btnShare = Titanium.UI.createButton({
        color: config.style.titulo,
        backgroundColor: '#FFFFFF',
        backgroundImage: 'none',
        borderRadius:0,
        width: oswidth*0.3,
        height: viewFooter.height*0.8,
        left: viewFooter.height*0.1,
        title: L('share'),
        textAlign:'center',
        borderRadius:5,
        value: winDetail.ad.phone1,
        ad_title: winDetail.ad.title,
        url: winDetail.ad.shorten_url,
        id: winDetail.ad.id
    });
    viewFooter.add(btnShare);
    btnShare.addEventListener('click',function(e){
        functions.shareAd(e.source.id,e.source.ad_title,e.source.ad_title,e.source.url);
    });
    
	tracker.trackEvent({
        category: "Anuncio",
        action: "Ver",
        label: winDetail.ad,
        value: 1
    });
});